Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface CatalogRequest

All Known Implementing Classes:
  CatalogRequestImpl

public interface CatalogRequest

This interface is the common input record to catalog services that return catalog data. It contains everything required to resolve a catalog request to catalog content.

Field Summary
`static int` | `ADMINISTRATION` Authorization bit-field constant for administrator use of the catalog.
`static int` | `DEFAULT_USE` Authorization bit-field constant for end-user use of the catalog.

Method Summary
`int` | `getAuthorization()` Gets the authorization bit-field for this catalog request.
`java.lang.String` | `getLanguage()`
`boolean` | `getShowAll()`
`boolean` | `hasAuthorization(int authorizationCode)`
`void` | `setLanguage(java.lang.String language)` Sets the language associated with the catalog request or null if this request (or catalog) is language unaware.
`void` | `setShowAll(boolean showAll)` Sets the visibility attribute for this catalog request.

Field Detail

### DEFAULT_USE

    public static final int DEFAULT_USE

  Authorization bit-field constant for end-user use of the catalog.

### ADMINISTRATION

    public static final int ADMINISTRATION

  Authorization bit-field constant for administrator use of the catalog.

Method Detail

### getLanguage

    public java.lang.String getLanguage()

  Returns:
    the language associated with the catalog request or null if this request (or catalog) is language unaware.

### setLanguage

    public void setLanguage(java.lang.String language)

  Sets the language associated with the catalog request or null if this request (or catalog) is language unaware.

  Parameters:
    `language` - the language attribute to use.

### getShowAll

    public boolean getShowAll()

  Returns:
    whether to retrieve all catalog items, irrespective of whether they have been marked as invisible.

### setShowAll

    public void setShowAll(boolean showAll)

  Sets the visibility attribute for this catalog request. if the showAll attribute is true all items will be returned irrespective of item visiblity. By default end-user catalog requests have showAll set to false and administrator catalog requests have showAll set to true. return the showAll attribute

### getAuthorization

    public int getAuthorization()

  Gets the authorization bit-field for this catalog request.

### hasAuthorization

    public boolean hasAuthorization(int authorizationCode)

  Returns:
    true if the current catalog request has the required authorization: one of DEFAULT_USE or ADMINISTRATION.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved